Unusual Whales UnusualWhales API

Insider buy & sells

GET https://api.unusualwhales.com/api/stock/{ticker}/insider-buy-sells

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Responses

200 422 500

Response Body 200 OK

filing_date Insider Trades Filing Date

The filing date as ISO date.

Example: 2023-12-13
purchases Insider Trades Purchases

The amount of purchase transactions.

Example: 12
purchases_notional Insider Trades Notional Purchases

The total notional value of purchase transactions.

Example: 14317122.490
sells Insider Trades Sells

The amount of sell transactions.

Example: 10
sells_notional Insider Trades Notional Sells

The total notional value of sell transactions.

Example: -1291692.4942
Try It GET
Path Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/insider-buy-sells" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "filing_date": "2023-12-13",
      "purchases": 12,
      "purchases_notional": "14317122.490",
      "sells": 10,
      "sells_notional": "-1291692.4942"
    },
    {
      "filing_date": "2023-12-12",
      "purchases": 78,
      "purchases_notional": "46598915.1911",
      "sells": 211,
      "sells_notional": "-182466466.7165"
    },
    {
      "filing_date": "2023-12-11",
      "purchases": 96,
      "purchases_notional": "431722108.8184",
      "sells": 210,
      "sells_notional": "-1058043617.3548"
    }
  ]
}